### Method

# Lfb Event end_feedback_finish

#### Declaration [src]

    gboolean
    lfb_event_end_feedback_finish (
      LfbEvent* self,
      GAsyncResult* res,
      GError** error
    )

#### Description [src]

Finish an async operation started by lfb_event_end_feedback_async. You must call this function in the callback to free memory and receive any errors which occurred.

This does not mean that the feedbacks finished right away. Connect to the [`signal`@LfbEvent::feedback-ended] signal for this.

#### Parameters

`res`

  Type: `GAsyncResult`

  Result object passed to the callback of `lfb_event_end_feedback_async()`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if ending the feedbacks was successful.